var clean = require('gulp-clean');
var path = require('path');
var gulp = require('gulp');

function registerTask(conf) {
    var baseConf = conf.baseConf;
    var tmp1 = path.join(baseConf.rootPath, baseConf.tmpDir, 'step1');
    var tmp2 = path.join(baseConf.rootPath, baseConf.tmpDir, 'step2');
    var tmp3 = path.join(baseConf.rootPath, baseConf.tmpDir, 'step3');;
    var buildDir = path.join(baseConf.rootPath, baseConf.build);
    gulp.task('clean', function() {
        return gulp.src([tmp1, tmp2, tmp3, buildDir], {
            read: false
        }).pipe(clean());
    });
}

module.exports = registerTask;